/*
* min.c -- a minimal Lua interpreter
* loads stdin only with minimal error handling.
* no interaction, and no standard library, only a "print" function.
*/

#include <stdio.h>

#define lua_c

#include "lua.h"
#include "lauxlib.h"
#include "lualib.h"

int main (int argc, char **argv)
{
 lua_State *L=lua_open();
 if (L==0) { fprintf(stderr,"cannot open Lua state\n"); return 0; }
 luaL_openlibs(L);
 if (luaL_dofile(L,argv[1])!=0) fprintf(stderr,"%s\n",lua_tostring(L,-1));
 lua_close(L);
 return 0;
}
